## pslib 0.4.1

=== CMakeLists.txt ===
PROJECT(pslib C)
option(ENABLE_BMP   "Build with BMP support" ON)

SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

if(ENABLE_BMP)
else(ENABLE_BMP)
	set(DISABLE_BMP 1)
endif(ENABLE_BMP)

if(CMAKE_COMPILER_IS_GNUCC)
  add_definitions(
    -Wall -Wpointer-arith -W
    ${PSLIB_EXTRA_GCC_FLAGS}
  )
endif(CMAKE_COMPILER_IS_GNUCC)

ADD_DEFINITIONS(-DHAVE_CONFIG_H)

SET(PACKAGE pslib)
SET(PACKAGE_NAME pslib)

# set MY_EXTRA_XXX_DIR to the directory where libpng, ligjpeg
# and libungif is located
SET(MY_EXTRA_INCLUDE_DIR f:/php-dev/dev/php_build/include)
SET(MY_EXTRA_LIB_DIR f:/php-dev/dev/php_build/lib)

FIND_PACKAGE(ZLIB)
FIND_PACKAGE(PNG)
FIND_PACKAGE(JPEG)
FIND_PACKAGE(UNGIF)
FIND_PACKAGE(TIFF)

IF(PNG_FOUND)
	INCLUDE_DIRECTORIES(${PNG_INCLUDE_DIR})
	SET(HAVE_LIBPNG 1)
ENDIF(PNG_FOUND)

IF(JPEG_FOUND)
	INCLUDE_DIRECTORIES(${JPEG_INCLUDE_DIR})
	SET(HAVE_LIBJPEG 1)
ENDIF(JPEG_FOUND)

IF(UNGIF_FOUND)
	INCLUDE_DIRECTORIES(${UNGIF_INCLUDE_DIR})
	SET(HAVE_LIBGIF 1)
ENDIF(UNGIF_FOUND)

IF(TIFF_FOUND)
	INCLUDE_DIRECTORIES(${TIFF_INCLUDE_DIR})
	SET(HAVE_LIBTIFF 1)
ENDIF(TIFF_FOUND)

#check system for includes
include(CheckIncludeFile)
check_include_file("fcntl.h"           HAVE_FCNTL_H)
check_include_file("unistd.h"          HAVE_UNISTD_H)
check_include_file("inttypes.h"        HAVE_INTTYPES_H)
check_include_file("stdarg.h"          HAVE_STDARG_H)
check_include_file("stddef.h"          HAVE_STDDEF_H)
check_include_file("stdint.h"          HAVE_STDINT_H)
check_include_file("stdlib.h"          HAVE_STDLIB_H)
check_include_file("string.h"          HAVE_STRING_H)
check_include_file("strings.h"         HAVE_STRINGS_H)
check_include_file("byteswap.h"        HAVE_BYTESWAP_H)
check_include_file("sys/time.h"        HAVE_SYS_TIME_H)
check_include_file("sys/types.h"       HAVE_SYS_TYPES_H)

#Functions
INCLUDE(CheckFunctionExists)

#Big or little endian ?
INCLUDE(TestBigEndian)
test_big_endian(WORDS_BIGENDIAN)

SUBDIRS( src )
SET(SOURCES
	src/pslib.c
	src/ps_memory.c
	src/ps_memprof.c
	src/ps_error.c
	src/ps_afm.c
	src/ps_list.c
	src/ps_util.c
	src/hash_table.c
	src/hash_functions.c
	src/hyphen.c
	src/hnjalloc.c
	src/bmp.c
	src/ps_inputenc.c
	src/ps_fontenc.c
	src/ps_strbuf.c
	src/bmp.h
	src/ght_hash_table.h
	src/hnjalloc.h
	src/hyphen.h
	src/ps_error.h
	src/ps_fontenc.h
	src/ps_inputenc.h
	src/ps_intern.h
	src/ps_list.h
	src/ps_memory.h
	src/ps_strbuf.h
	include/libps/pslib-mp.h
	include/libps/pslib.h
  )

INCLUDE_DIRECTORIES( include . )

#packaging
SET(CPACK_PACKAGE_NAME pslib)
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Create PostScript documents")
SET(CPACK_PACKAGE_VENDOR "pslib")
SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
SET(CPACK_PACKAGE_VERSION_MAJOR "0")
SET(CPACK_PACKAGE_VERSION_MINOR "4")
SET(CPACK_PACKAGE_VERSION_PATCH "0")
SET(CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")

SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}")
SET(CPACK_PACKAGE_INSTALL_DIRECTORY "/usr")
SET(CPACK_GENERATOR "TGZ")
SET(CPACK_SOURCE_GENERATOR "TGZ")

CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/cmakeconfig.h.in ${CMAKE_SOURCE_DIR}/config.h)

set(BUILD_SHARED_LIBS On)

if (WIN32)
	SET(PS_LIB pslib)
	ADD_DEFINITIONS(-DWIN32 -D_WIN32 -DMSWIN32 -DBGDWIN32)
	ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
	ADD_DEFINITIONS(-DPSLIB_EXPORTS)
else(WIN32)
	SET(PS_LIB ps)
endif(WIN32)

ADD_LIBRARY(${PS_LIB} ${SOURCES})

IF(WIN32)
#	SET_TARGET_PROPERTIES(${PS_LIB} PROPERTIES LINK_FLAGS "/NODEFAULTLIB:msvcrt.lib")
ENDIF(WIN32)

TARGET_LINK_LIBRARIES(${PS_LIB} ${PNG_LIBRARIES} ${JPEG_LIBRARIES} ${UNGIF_LIBRARIES})

## pslib 0.4.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -115,7 +115,7 @@
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
 SET(CPACK_PACKAGE_VERSION_MAJOR "0")
 SET(CPACK_PACKAGE_VERSION_MINOR "4")
-SET(CPACK_PACKAGE_VERSION_PATCH "0")
+SET(CPACK_PACKAGE_VERSION_PATCH "6")
 SET(CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
 
 SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}")
@@ -142,4 +142,4 @@
 #	SET_TARGET_PROPERTIES(${PS_LIB} PROPERTIES LINK_FLAGS "/NODEFAULTLIB:msvcrt.lib")
 ENDIF(WIN32)
 
-TARGET_LINK_LIBRARIES(${PS_LIB} ${PNG_LIBRARIES} ${JPEG_LIBRARIES} ${UNGIF_LIBRARIES})
+TARGET_LINK_LIBRARIES(${PS_LIB} ${PNG_LIBRARIES} ${JPEG_LIBRARIES} ${TIFF_LIBRARIES} ${UNGIF_LIBRARIES})

=== debian/changelog ===
pslib (0.4.7-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:41:05 +1100

pslib (0.4.7-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:52:34 +0000

pslib (0.4.7-1) unstable; urgency=low

  * New upstream version, fixes configure.ac (Closes: #944309)

 -- Uwe Steinmann <steinm@debian.org>  Thu, 7 Nov 2019 17:50:45 +0100

pslib (0.4.6-1) unstable; urgency=low

  * New upstream version.
  * Switch to automatic dbgsym packages.
  * Bump standards-version
  * Use debhelper 11 compat, which uses autoreconf and --parallel by default.

 -- Uwe Steinmann <steinm@debian.org>  Tue, 5 Nov 2019 11:16:05 +0100

pslib (0.4.5-3) unstable; urgency=low

  * depend on libpng-dev instead of libpng12-dev (Closes: #662478)
  * depend on libjpeg-dev instead of libjpeg62-dev (Closes: 644802)

 -- Uwe Steinmann <steinm@debian.org>  Mon, 5 Mar 2012 8:28:21 +0100

pslib (0.4.5-2) unstable; urgency=low

  * do not put .la files into pslib-dev (Closes: #633219)
  * create debug package pslib1-dbg

 -- Uwe Steinmann <steinm@debian.org>  Tue, 19 Jul 2011 15:01:13 +0200

pslib (0.4.5-1) unstable; urgency=low

  * New upstream version.
  * pslib-dev now depends on libjpeg-dev instead of libjpeg62-dev
    (Closes: #629977)

 -- Uwe Steinmann <steinm@debian.org>  Thu, 23 Jun 2011 11:47:12 +0200

pslib (0.4.4-1) unstable; urgency=low

  * New upstream version.

 -- Uwe Steinmann <steinm@debian.org>  Fri, 20 Nov 2009 21:10:55 +0100

pslib (0.4.3-1) unstable; urgency=low

  * New upstream version.
  * No more symbol conflict with newer glibc (Closes: #552822)

 -- Uwe Steinmann <steinm@debian.org>  Thu, 29 Oct 2009 16:44:55 +0100

pslib (0.4.2-1) unstable; urgency=low

  * New upstream version.
  * Replaced dependency on libungif4-dev by libgif-dev (Closes: #540538)

 -- Uwe Steinmann <steinm@debian.org>  Fri, 23 Nov 2007 15:12:36 +0100

pslib (0.4.1-1) unstable; urgency=low

  * New upstream version.
  * made watch file work with sourceforge (Closes: #450174)

 -- Uwe Steinmann <steinm@debian.org>  Fri, 23 Nov 2007 15:12:36 +0100

pslib (0.4.0-1) unstable; urgency=low

  * New upstream version.
  * shlibs file now requires pslib 0.4.0

 -- Uwe Steinmann <steinm@debian.org>  Mon, 25 Jun 2007 23:29:13 +0200

pslib (0.3.0-1) unstable; urgency=low

  * New upstream version.
    - double new line isn't treated as the end of a paragraph in
      PS_show_boxed() if linebreak is set (Closes: #429543)
    - default error handler prints to stderr instead of
      stdout (Closes: #429544) 
  * Fixed various lintian warnings

 -- Uwe Steinmann <steinm@debian.org>  Sat, 23 Jun 2007 22:43:49 +0200

pslib (0.2.7-1) unstable; urgency=low

  * New upstream version.
  * The alpha channel of RGB pngs is stripped to prevent a segmentation
    fault. This is a temporary solution until a real fix is found.
    (Closes: #361148)

 -- Uwe Steinmann <steinm@debian.org>  Wed, 07 Jun 2006 17:45:02 +0200

pslib (0.2.6-2) unstable; urgency=low

  * fixed dependency for pslib-dev (Closes: #356808)
  * set DH_COMPAT to 4

 -- Uwe Steinmann <steinm@debian.org>  Tue, 14 Mar 2006 17:38:28 +0100

pslib (0.2.6-1) unstable; urgency=low

  * New upstream version.
  * fixed typos in de.po (Closes: #313931)

 -- Uwe Steinmann <steinm@debian.org>  Thu, 28 Jul 2005 13:46:41 +0200

pslib (0.2.4-1) unstable; urgency=low

  * New upstream version.
  * Create unique internal template names (Closes: #260366)

 -- Uwe Steinmann <steinm@debian.org>  Tue, 20 Jul 2004 14:12:58 +0200

pslib (0.2.3-1) unstable; urgency=low

  * New upstream version.
  * Fixed bugin PS_fill_stroke() (Closes: #257817)

 -- Uwe Steinmann <steinm@debian.org>  Fri, 16 Jul 2004 15:19:08 +0200

pslib (0.2.2-1) unstable; urgency=low

  * New upstream version.

 -- Uwe Steinmann <steinm@debian.org>  Wed, 16 Jun 2004 22:36:32 +0200

pslib (0.2.1-1) unstable; urgency=low

  * New upstream version.
  * Added watch file

 -- Uwe Steinmann <steinm@debian.org>  Wed, 09 Jun 2004 12:01:12 +0200

pslib (0.2.0-1) unstable; urgency=low

  * New upstream version.

 -- Uwe Steinmann <steinm@debian.org>  Thu, 03 Jun 2004 17:09:42 +0200

pslib (0.1.15-1) unstable; urgency=low

  * New upstream version.
  * added version of pslib1 to shlibs
  * fixed email of maintainer in control file

 -- Uwe Steinmann <steinm@debian.org>  Thu, 06 May 2004 13:04:09 +0100

pslib (0.1.14-1) unstable; urgency=low

  * New upstream version.

 -- Uwe Steinmann <steinm@debian.org>  Thu, 29 Apr 2004 16:49:47 +0100

pslib (0.1.13-1) unstable; urgency=low

  * New upstream version.

 -- Uwe Steinmann <steinm@debian.org>  Wed, 22 Apr 2004 08:55:51 +0100

pslib (0.1.12-1) unstable; urgency=low

  * New upstream version.

 -- Uwe Steinmann <steinm@debian.org>  Wed, 21 Apr 2004 09:05:08 +0100

pslib (0.1.11-1) unstable; urgency=low

  * New upstream version.
  * include files are back in /usr/include/libps

 -- Uwe Steinmann <steinm@debian.org>  Wed, 07 Apr 2004 09:05:08 +0100

pslib (0.1.10-1) unstable; urgency=low

  * New upstream version.

 -- Uwe Steinmann <steinm@debian.org>  Wed, 07 Apr 2004 18:35:35 +0100

pslib (0.1.9-1) unstable; urgency=low

  * New upstream version.
  * BuildDepend on intltool >= 0.18 is sufficient, libpng2-dev is a
    valid alternative to libpng12-dev

 -- Uwe Steinmann <steinm@debian.org>  Wed, 07 Apr 2004 09:51:31 +0100

pslib (0.1.8-1) unstable; urgency=low

  * New upstream version.

 -- Uwe Steinmann <steinm@debian.org>  Fri, 26 Mar 2004 11:14:50 +0100

pslib (0.1.7-1) unstable; urgency=low

  * New upstream version.

 -- Uwe Steinmann <steinm@debian.org>  Thu, 25 Mar 2004 09:56:44 +0100

pslib (0.1.6-2) unstable; urgency=low

  * Changed section for dev package from devel to libdevel

 -- Uwe Steinmann <steinm@debian.org>  Mon, 22 Mar 2004 09:56:44 +0100

pslib (0.1.6-1) unstable; urgency=low

  * New upstream version.



=== debian/control ===
Source: pslib
Section: text
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Uwe Steinmann <steinm@debian.org>
Build-Depends: debhelper (>= 11), quilt, intltool (>= 0.18), libpng-dev | libpng2-dev, libjpeg-dev, libgif-dev, docbook-to-man, docbook-utils
Standards-Version: 4.4.0
Homepage: http://pslib.sourceforge.net/
Vcs-Git: https://git.code.sf.net/p/pslib/git

Package: pslib-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, pslib1 (= ${binary:Version}), libjpeg-dev, libpng-dev | libpng2-dev, libgif-dev
Description: development files for pslib
 pslib is a library to create PostScript files

Package: pslib1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to create PostScript files
 pslib is a library to create PostScript files. It offers many drawing
 primitives, image output and very sophisticated text rendering.
 It can read external Type1 fonts and embed them into the output file.
 It supports pdfmarks which makes it in combination with ghostscript's
 pdfwriter an alternative for libraries creating PDF.

## pslib 0.4.8

=== debian/changelog ===
pslib (0.4.8-1) unstable; urgency=low

  * New upstream version

 -- Uwe Steinmann <steinm@debian.org>  Wed, 10 Jul 2024 07:22:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pslib
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Uwe Steinmann <steinm@debian.org>
+Maintainer: Uwe Steinmann <steinm@debian.org>
 Build-Depends: debhelper (>= 11), quilt, intltool (>= 0.18), libpng-dev | libpng2-dev, libjpeg-dev, libgif-dev, docbook-to-man, docbook-utils
 Standards-Version: 4.4.0
 Homepage: http://pslib.sourceforge.net/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=build/

=== debian/watch ===
version=3
http://sf.net/pslib/pslib-([0-9.]+)\.tar\.gz
